<?php

class Rest
{

    public function get($index)
    {
        if (isset($_GET[$index])) {
            return $_GET[$index];
        }
        throw new RestException();
    }

    public function getDefaulted($index, $defaultValue)
    {
        if (isset($_GET[$index])) {
            return $_GET[$index];
        } else {
            return $defaultValue;
        }
    }
}

class RestException extends Exception
{
}
